Skip to content
payrocdevelopers

List disputes

Browse API reference

GET/disputesgetdisputes

Use this method to return a paginated list of disputes.

Use query parameters to filter the list of results that we return, for example, to search for disputes linked to a specific merchant.

Important: You must provide a value for the date query parameter.

Our gateway returns the following information about each dispute in the list:

  • Its status, type, and description.
  • Transaction that the dispute is linked to, including the transaction date, merchant who ran the transaction, and the payment method that the cardholder used.

Parameters

NameInTypeDescription
beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

dateRequiredquerystring

Filter results by the date that the dispute was submitted.

merchantIdquerystring

Filter results by the unique identifier that the processor assigned to the merchant.

Responses

Successful request. Returns a paginated list of disputes.

200 OK · application/json
{
  "count": 0,
  "data": [],
  "hasMore": false,
  "limit": 10,
  "links": []
}
Response schema · 43 of 52 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]required
    Array of dispute objects.
    • authorizationCodestring
      Authorization code of the transaction that the dispute is linked to.
    • cardobject
      Object that contains information about the card.
      • avsRequestboolean
        Indicates whether the merchant used the Address Verification Service (AVS) to verify the cardholder's address.
      • avsResponsestring
        Response from the Address Verification Service (AVS).
      • cardNumberstring
        Masked card number. Our gateway shows only the first six digits and the last four digits of the card number, for example, 500165******0000.
      • cvvPresenceIndicatorboolean
        Indicates whether the cardholder provided the Card Verification Value (CVV).
      • typestringnull
        Card type, for example, Visa. Note: If we can’t match a dispute to a transaction, we don’t return a type object.visamasterCarddiscoverdebitebtwrightExpressvoyageramex+8 more
    • createdDatestringdate
      Date that we received the dispute. The format of this value is YYYY-MM-DD.
    • currencystring
      Currency of the transaction that the dispute is linked to. The value for the currency follows the ISO 4217 standard.
    • currentStatusobject
      Object that contains information about the current status of the dispute.
      • disputeStatusIdinteger
        Unique identifier that we assigned to the status of the dispute.
      • statusstring
        Status of the dispute. Note: If you want to view the status history of the dispute, use our List Dispute Statuses method.prearbitrationInProcessprearbitrationAcceptedprearbitrationDeclinedarbitrationFiledWithCardBandarbitrationFundsToBeReturnedarbitrationLostarbitrationSettledPartialAmountprecomplianceInProcess+14 more
      • statusDatestringdate
        Date that the status of the dispute was last changed. The format of this value is YYYY-MM-DD.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
    • descriptionstring
      Description of the dispute.
    • disputeAmountintegerint64
      Dispute amount. We return the value in the currency's lowest denomination, for example, cents.
    • disputeIdinteger
      Unique identifier that we assigned to the dispute.
    • disputeTypestring
      Type of dispute.prearbitrationissuerReversalfirstDisputeWithReversalfirstDispute
    • feeAmountintegerint64
      Value of the fees for the dispute. We return the value in the currency's lowest denomination, for example, cents.
    • firstDisputeboolean
      Indicates if this is the first dispute for the transaction.
    • lastModifiedDatestringdate
      Date that the dispute was last changed. The format of this value is YYYY-MM-DD.
    • merchantobject
      Object that contains information about the merchant.
      • doingBusinessAsstring
        Trading name of the business.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • merchantIdstring
        Unique identifier that the processor assigned to the merchant.
      • processingAccountIdinteger
        Unique identifier that we assigned to the processing account.
    • receivedDatestringdate
      Date that the acquiring bank received the dispute. The format of this value is YYYY-MM-DD.
    • referenceNumberstring
      Reference number from the acquiring bank.
    • transactionobject
      Object that contains summary information about the transaction that the dispute is linked to.
      • amountintegerint64
        Total amount of the transaction. The value is in the currency's lowest denomination, for example, cents.
      • datestringdate
        Date of the transaction. The format of this value is YYYY-MM-DD.
      • entryMethodstringnull
        Describes how the merchant received the payment details. If we can't match a dispute to a transaction, we don't return an entryMethod object.barcodeReadsmartChipReadswipedOriginUnknowncontactlessChipecommercemanuallyEnteredmanuallyEnteredFallbackswiped+5 more
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • transactionIdintegernull
        Unique identifier of the transaction. If we can't match a dispute to a transaction, we don't return the transactionId or link object.
      • typestring
        Indicates the type of transaction.capturereturn

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer